Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 914788 (mingw-libtool) - Review Request: mingw-libtool - The GNU Portable Library Tool for MinGW
Summary: Review Request: mingw-libtool - The GNU Portable Library Tool for MinGW
Keywords:
Status: CLOSED WONTFIX
Alias: mingw-libtool
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW mingw-libcacard
TreeView+ depends on / blocked
 
Reported: 2013-02-22 18:57 UTC by Marc-Andre Lureau
Modified: 2016-03-19 23:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-19 23:57:11 UTC


Attachments (Terms of Use)

Description Marc-Andre Lureau 2013-02-22 18:57:55 UTC
Spec URL: http://elmarco.fedorapeople.org/mingw-libtool.spec
SRPM URL: http://elmarco.fedorapeople.org/mingw-libtool-2.4.2-1.fc18.src.rpm
Description: The GNU Portable Library Tool for MinGW
Fedora Account System Username: epienbro elmarco

Comment 1 Marc-Andre Lureau 2013-02-22 19:00:32 UTC
The current mingw-libltdl only package doesn't provide the libtool script.

However, some packages not using autotools, such as qemu, require it for the cross-compilation to work, for example calling i686-w64-mingw32-libtool

I suggest Fedora MinGW provide mingw32-libtool/mingw64-libtool along the ltdl library. The current mingw-libltdl source package should be deprecated then.

Comment 2 Erik van Pienbroek 2013-05-20 16:39:33 UTC
What's so special about this package that the regular native libtool package doesn't have? The only thing I can think of is the target-prefixed libtool script (i686-w64-mingw32-libtool). If this is the only thing and mingw-qemu really requires it then we can better add a wrapper script to the mingw-filesystem package (for which we already have the infrastructure in place)

Comment 3 Marc-Andre Lureau 2013-05-20 18:56:12 UTC
(In reply to Erik van Pienbroek from comment #2)
> What's so special about this package that the regular native libtool package
> doesn't have? The only thing I can think of is the target-prefixed libtool
> script (i686-w64-mingw32-libtool). If this is the only thing and mingw-qemu
> really requires it then we can better add a wrapper script to the
> mingw-filesystem package (for which we already have the infrastructure in
> place)

the generated libtool script is specific to each target. A lot of variables/flags are different. A link wouldn't work afaict.

Comment 4 František Dvořák 2013-10-07 23:05:30 UTC
I can confirm, even the mingw32 and mingw64 libtool scripts are very different (program-prefix, gcc internal paths, and other differences...).

Some comments:

1) There is a trick in the native libtool: to require specific version of gcc. The similar way could be used here for mingw32-gcc/mingw64-gcc:

%global gcc_version 4.8.1

# /usr/bin/libtool includes paths within gcc's versioned directories
# Libtool must be rebuilt whenever a new upstream gcc is built
Requires: gcc = %{gcc_version}

2) It could be useful to add mingw32-gcc-c++ (and mingw64-gcc-c++) build dependency, otherwise the CXX part is strange (using native g++).

Comment 5 František Dvořák 2016-03-19 22:23:22 UTC
This review is probably stalled and can be closed within week according to https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews .

Comment 6 Marc-Andre Lureau 2016-03-19 23:57:11 UTC
I no longer need it, now that libcacard has been moved to a separate package. Feel free to reopen whoever want it.


Note You need to log in before you can comment on or make changes to this bug.